LibreOffice LibreOffice 6.2 SDK API Reference

Variables
com::sun::star::report::ReportPrintOption Constant Group Reference

Specifies whether a page header or footer is printed on the same page as the report header or report footer. More...

## Variables
const short | ALL_PAGES = 0
| The page header/footer is printed on all pages. More...
const short | NOT_WITH_REPORT_HEADER = 1
| The page header/footer is not printed on the same page as the report header. More...
const short | NOT_WITH_REPORT_FOOTER = 2
| The page header/footer is not printed on the same page as the report footer. More...
const short | NOT_WITH_REPORT_HEADER_FOOTER = 3
| The page header/footer is not printed on the same page as the report header or footer. More...

## Detailed Description

Specifies whether a page header or footer is printed on the same page as the report header or report footer.

## Variable Documentation

## ◆ ALL_PAGES

const short ALL_PAGES = 0

The page header/footer is printed on all pages.

## ◆ NOT_WITH_REPORT_FOOTER

const short NOT_WITH_REPORT_FOOTER = 2

The page header/footer is not printed on the same page as the report footer.

## ◆ NOT_WITH_REPORT_HEADER

const short NOT_WITH_REPORT_HEADER = 1

The page header/footer is not printed on the same page as the report header.

## ◆ NOT_WITH_REPORT_HEADER_FOOTER

const short NOT_WITH_REPORT_HEADER_FOOTER = 3

The page header/footer is not printed on the same page as the report header or footer.